Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.attachments
Class JavaMailAttachments

    java.lang.Object
      org.codehaus.xfire.attachments.JavaMailAttachments

All Implemented Interfaces:
  Attachments

    public class JavaMailAttachments

extends java.lang.Object
implements Attachments

Author:
  Dan Diephouse

Field Summary

Fields inherited from interface org.codehaus.xfire.attachments.Attachments
`ATTACHMENTS_KEY`

Constructor Summary
`JavaMailAttachments()`
`JavaMailAttachments(javax.mail.internet.MimeMultipart multipart)` Create Attachments from the MimeMultipart message.

Method Summary
`void` | `addPart(Attachment part)`
`java.lang.String` | `getContentType()`
`javax.mail.internet.MimeMultipart` | `getMimeMultipart()`
`Attachment` | `getPart(java.lang.String id)`
`java.util.Iterator` | `getParts()`
`Attachment` | `getSoapMessage()`
`void` | `setSoapMessage(Attachment soapMessage)`
`int` | `size()`
`void` | `write(java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaMailAttachments

    public JavaMailAttachments()

### JavaMailAttachments

    public JavaMailAttachments(javax.mail.internet.MimeMultipart multipart)
                        throws javax.mail.MessagingException

  Create Attachments from the MimeMultipart message.

  Parameters:
    `multipart` -
  Throws:
    `javax.mail.MessagingException`

Method Detail

### getSoapMessage

    public Attachment getSoapMessage()

  Specified by:
    `getSoapMessage` in interface `Attachments`
  Returns:
    Returns the soapMessage.

### setSoapMessage

    public void setSoapMessage(Attachment soapMessage)

  Specified by:
    `setSoapMessage` in interface `Attachments`
  Parameters:
    `soapMessage` - The soapMessage to set.

### addPart

    public void addPart(Attachment part)

  Specified by:
    `addPart` in interface `Attachments`

### getParts

    public java.util.Iterator getParts()

  Specified by:
    `getParts` in interface `Attachments`

### getPart

    public Attachment getPart(java.lang.String id)

  Specified by:
    `getPart` in interface `Attachments`

### size

    public int size()

  Specified by:
    `size` in interface `Attachments`

### write

    public void write(java.io.OutputStream out)
               throws java.io.IOException

  Specified by:
    `write` in interface `Attachments`
  Throws:
    `java.io.IOException`

### getMimeMultipart

    public javax.mail.internet.MimeMultipart getMimeMultipart()

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `Attachments`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.